package com.app.constant;

public final class AccountConstant {

    /**
     * 账号状态
     */
    public static final class State {
        public static final Integer NORMAL = 1; // 正常
    }

    /**
     * 账号授权类型
     */
    public static final class IdentityType {
        public static final String USERNAME = "username";
        public static final String EMAIL = "email";
        public static final String PHONE = "phone";
        public static final String WEIXIN = "weixin"; // 特指存放unionId
        public static final String WEIXIN_MINI_PROGRAM = "weixin_mini_program"; // 特指存放微信小程序openId
    }

    /**
     * 家长小孩回家方式
     */
    public static final class GoHome {
        public static final String ONESELF = "自行回家";
        public static final String TRANSFER = "家长接送";
        public static final String TAKE_THE_SCHOOL_BUS = "乘坐校车";
    }

}
