package com.app.dto.basics;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel("课程响应dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ResponseCourseDto {
    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("机构id")
    private String organId;

    @ApiModelProperty("课程名称")
    private String name;

    @ApiModelProperty("缩略图")
    private String thumbnail;

    @ApiModelProperty("横幅")
    private String banner;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("课程介绍")
    private String introduceUrl;

    @ApiModelProperty("课程价格")
    private Double price;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("机构名称")
    private String organName;
}
