package com.app.dto.basics.operation;

import com.app.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("保存/更新[评论]出参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ResponseCommentDto extends BaseEntity {

    @ApiModelProperty("账户id")
    private String accountId;

    @ApiModelProperty("账户名称")
    private String accountName;

    @ApiModelProperty("是否可见")
    private Integer visable;

    @ApiModelProperty("正文")
    private String context;

    @ApiModelProperty("父级id")
    private String parentId;

    @ApiModelProperty("开课id")
    private String openCourseId;

    @ApiModelProperty("开课名称")
    private String openCourseName;

    @ApiModelProperty("课程id")
    private String courseId;

    @ApiModelProperty("课程名称")
    private String courseName;

}
