package com.app.dto.basics.search;

import com.app.dto.SearchPageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

@ApiModel("查询[机构教师]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SearchTeacherDto extends SearchPageDto {

    @ApiModelProperty("机构标识")
    private List<String> organIdList;

    @ApiModelProperty("教师名称")
    private String name;

}
