package com.app.dto.platform;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 前端错误日志dto
 *
 */
@ApiModel("前端错误日志dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class FrontErrorDto {
    @ApiModelProperty("错误原因")
    private String message;

    @ApiModelProperty("错误信息")
    private String info;

    @ApiModelProperty("错误页面url")
    private String requestUrl;

    @ApiModelProperty("错误详情")
    private String exceptionDetail;
}
