package com.app.dto.platform;

import com.app.dto.SearchPageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 搜索日志dto
 *
 */
@ApiModel("搜索日志dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SearchLogDto extends SearchPageDto {
    @ApiModelProperty("用户名")
    private String username;

    @ApiModelProperty("描述")
    private String remarks;

    @ApiModelProperty("日志类型")
    private String type;

    @ApiModelProperty("是否删除")
    private Boolean isDel;
}
