package com.app.job.platform;

import com.app.service.platform.monitor.OperationLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Profile;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 */
@Slf4j
@Profile({"prod"})
@Component
public class OperationLogJob {

    @Autowired
    private OperationLogService service;

    /**
     * 功能描述：处理历史操作日志
     * todo
     */
    @Scheduled(cron = "0 0/1 * * * ?")
    public void deleteHistoryLog() {
//        service.deleteHistoryLog();
    }

}
