package com.app.mapper.basics;

import com.app.dto.basics.ResponseCourseDto;
import com.app.dto.basics.search.SearchCourseDto;
import com.app.entity.basics.Course;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 功能描述：课程
 *
 * @Auther: 梁展鹏
 * @Date: 2018/7/24 11:38
 */
@Mapper
@Repository
public interface CourseMapper extends BaseMapper<Course> {
    IPage<ResponseCourseDto> page(@Param("dto")SearchCourseDto dto, Page<SearchCourseDto> page);
}
