package com.app.mapper.guardian;

import com.app.dto.account.search.SearchAccountDto;
import com.app.entity.guardian.Guardian;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface GuardianMapper extends BaseMapper<Guardian> {

    IPage<Guardian> page(@Param("dto") SearchAccountDto searchAccountDto, Page page);

}
