package com.app.mapper.info;

import com.app.dto.basics.search.SearchNewsDto;
import com.app.dto.info.ResponseNewsDto;
import com.app.entity.info.News;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 新闻资讯mapper
 *
 * @author 禤润峰
 * @date 2021年1月15日10点26分
 */
@Mapper
@Repository
public interface NewsMapper extends BaseMapper<News> {

    IPage<ResponseNewsDto> page(@Param("dto")SearchNewsDto newsDto, Page page);
}
