package com.app.constant;

public final class OrderConstant {

    /**
     * 订单支付状态
     */
    public static final class OrderState {
        public static final Integer DELETED = -1; // 已删除
        public static final Integer WAIT_PAY = 1; // 待支付
        public static final Integer SUCCESS_PAY = 2; // 已支付
        public static final Integer TIMEOUT_PAY = 3; // 已超时
    }

    /**
     * 订单支付状态
     */
    public static final class OrderItemState {
        public static final Integer DEFAULT = 0; // 默认(支付成功)
        public static final Integer REFUND = -1; // 已退费
    }

    /**
     * 订单退款审核状态
     */
    public static final class RefundState {
        public static final Integer NOT_PASS = -1;
        public static final Integer TO_BE_APPLY = 0;
        public static final Integer PASSED = 1;
    }

}
