package com.app.dto.basics.search;

import com.app.dto.SearchPageDto;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("查询[课程]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SearchCommentDto extends SearchPageDto {

    @ApiModelProperty("是否删除")
    private Boolean isDel;

    @ApiModelProperty("账户id")
    @TableField(value = "account_id")
    private String accountId;

    @ApiModelProperty("是否可见")
    @TableField(value = "visable")
    private Integer visable;

    @ApiModelProperty("正文")
    @TableField(value = "context")
    private String context;

    @ApiModelProperty("父级id")
    @TableField(value = "parent_id")
    private String parentId;

    @ApiModelProperty("标签")
    @TableField(value = "open_course_id")
    private String openCourseId;

    @ApiModelProperty("课程id")
    @TableField(value = "course_id")
    private String courseId;

}
