package com.app.dto.order.operation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

@ApiModel("申请退课Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class RefundDto {

    @ApiModelProperty("开课订单项标识")
    @NotEmpty
    private String openCourseOrderItemId;

    @ApiModelProperty("申请备注")
    @NotEmpty
    private String remarks;

    @ApiModelProperty("微信表单标识")
    @NotEmpty
    private String wxmpFormId;

    @ApiModelProperty("账号Id")
    @NotEmpty
    private String accountId;

}
