package com.app.dto.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigInteger;
import java.util.List;

/**
 * 功能描述：年级班级
 *
 * @Auther: 梁展鹏
 * @Date: 2018/7/17 14:03
 */
@ApiModel("报表返回Dto")
@NoArgsConstructor
@AllArgsConstructor
@Data
@Accessors(chain = true)
public class ListDto {

    @ApiModelProperty("人数")
    String className;

    @ApiModelProperty("人数")
    String gradeName;

    @ApiModelProperty("人数")
    Integer count;
}
