package com.app.dto.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 功能描述：年级班级
 *
 * @Auther: 梁展鹏
 * @Date: 2018/7/17 14:03
 */
@ApiModel("报表兴趣返回Dto")
@AllArgsConstructor
@NoArgsConstructor
@Data
@Accessors(chain = true)
public class ReportHobbySeriesDto {

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("内容")
    private List<Integer> data;

    @ApiModelProperty("名称列表")
    private List<String> nameList;

    @ApiModelProperty("人次最大值")
    private Integer timesMax;

    @ApiModelProperty("人次间隔")
    private Integer timesInterval;
}
