package com.app.dto.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

@ApiModel("查询[报表]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ReportSchoolDto {

    @ApiModelProperty("年级")
    String[] gradeList;

    @ApiModelProperty("内容对象")
    List<ReportClassSeriesDto> reportSeriesDtos;

    @ApiModelProperty("班级")
    String[] classList;

    @ApiModelProperty("学校名字")
    String name;

    @ApiModelProperty("总次数")
    List<Integer> allNum;

    @ApiModelProperty("人次最大值")
    private Integer timesMax;

    @ApiModelProperty("人次间隔")
    private Integer timesInterval;
}
