package com.app.dto.wx;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;


@ApiModel("微信[access_token]Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class WxAccessTokenDto implements Serializable {

    @ApiModelProperty("access_token")
    @JsonProperty("access_token")
    private String accessToken;

    @ApiModelProperty("expires_in")
    @JsonProperty("expires_in")
    private Long expiresIn;

}
