package com.app.feign.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 文字类型消息
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class TextMsg{

    /**
     * 内容
     */
    private String content;

    /**
     * userid列表
     */
    private List<String> mentionedList;

    /**
     * 手机号列表列表
     */
    private List<String> mentionedMobileList;

}
