package com.app.mapper.platform;

import com.app.dto.platform.ResponseAccountDto;
import com.app.dto.platform.SearchAccountDto;
import com.app.entity.platform.system.Account;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 功能描述：
 *
 * @Auther: 梁展鹏
 */
@Mapper
@Repository
public interface AccountMapper extends BaseMapper<Account> {

    IPage<ResponseAccountDto> page(@Param("dto") SearchAccountDto dto, Page page);

}
